opencv: cv::CalonderDescriptorExtractor< T > Class Template Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes

# cv::CalonderDescriptorExtractor< T > Class Template Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::CalonderDescriptorExtractor< T >:

List of all members.

## Public Member Functions
| CalonderDescriptorExtractor (const string &classifierFile)
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const
## Protected Member Functions
virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const
## Protected Attributes
RTreeClassifier | classifier_
## Static Protected Attributes
static const int | BORDER_SIZE = 16

### template<typename T>
class cv::CalonderDescriptorExtractor< T >

## Constructor & Destructor Documentation

template<typename T >

cv::CalonderDescriptorExtractor< T >::CalonderDescriptorExtractor | ( | const string & | classifierFile ) |

## Member Function Documentation

template<typename T >

virtual void cv::CalonderDescriptorExtractor< T >::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const`[protected, virtual]`

Implements cv::DescriptorExtractor.

template<typename T >

virtual int cv::CalonderDescriptorExtractor< T >::descriptorSize | ( | ) | const`[inline, virtual]`

Implements cv::DescriptorExtractor.

template<typename T >

virtual int cv::CalonderDescriptorExtractor< T >::descriptorType | ( | ) | const`[inline, virtual]`

Implements cv::DescriptorExtractor.

template<typename T >

void cv::CalonderDescriptorExtractor< T >::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::DescriptorExtractor.

template<typename T >

void cv::CalonderDescriptorExtractor< T >::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::DescriptorExtractor.

## Member Data Documentation

template<typename T >

const int cv::CalonderDescriptorExtractor< T >::BORDER_SIZE = 16`[static, protected]`

template<typename T >

RTreeClassifier cv::CalonderDescriptorExtractor< T >::classifier_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines